import { SupportedWallets } from '../../../../../domain/context/network/Wallet';
import { CustodialTransactionAdapter } from './CustodialTransactionAdapter';
import AWSKMSSettings from '../../../../../core/settings/custodialWalletSettings/AWSKMSSettings';
export declare class AWSKMSTransactionAdapter extends CustodialTransactionAdapter {
    init(): Promise<string>;
    initCustodialWalletService(settings: AWSKMSSettings): void;
    getSupportedWallet(): SupportedWallets;
    stop(): Promise<boolean>;
}
